# MCodingInfoISO2022 Struct Reference
[Code Conversion]

Structure for a coding system of type MCODING_TYPE_ISO_2022. More...

## Data Fields

int | initial_invocation [2]
char | designations [32]
unsigned | flags

## Detailed Description

Structure for a coding system of type MCODING_TYPE_ISO_2022.

Structure for extra information about a coding system of type MCODING_TYPE_ISO_2022.

## Field Documentation

int MCodingInfoISO2022::initial_invocation[2]

Table of numbers of an ISO2022 code extension element invoked to each graphic plane (Graphic Left and Graphic Right). -1 means no code extension element is invoked to that plane.

char MCodingInfoISO2022::designations[32]

Table of code extension elements. The Nth element corresponds to the Nth charset in charset_names, which is an argument given to the mconv_define_coding() function.

If an element value is 0..3, it specifies a graphic register number to designate the corresponds charset. In addition, the charset is initially designated to that graphic register.

If the value is -4..-1, it specifies a graphic register number 0..3 respectively to designate the corresponds charset. Initially, the charset is not designated to any graphic register.

unsigned MCodingInfoISO2022::flags

Bitwise OR of `enum` `MCodingFlagISO2022` .

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines